Bug 241635 - [AisleRiot]Crash game during change different game with 'Select Game'
[AisleRiot]Crash game during change different game with 'Select Game'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Desktop
: 241631 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 02:24 EDT by A S Alam
Modified: 2013-07-02 20:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 16:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 441990 None None None Never

  None (edit)
Description A S Alam 2007-05-29 02:24:33 EDT
Description of problem:
Application Crashed during change different game with 'Select Game'.
Special Case
Sir Tommy ->Spider

Version-Release number of selected component (if applicable):
gnome-games-2.19.2-1.fc8

How reproducible:
80% (Random)

Steps to Reproduce:
1. start 'sol'
2. Select Game
3. select Sir Tom
4. change game with 'select game' to "Spider"
5. Change to any other game and Repeat step 3 and 4 until crash or Hang

Actual results:
Application Crashed

Expected results:
should work

Additional info:
bt:
-------------------
Distribution: Fedora release 7 (Moonshine)
Gnome Release: 2.19.2 2007-05-19 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.21-1.3173.fc8 #1 SMP Fri May 18 17:35:17 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Enabled
GTK+ Theme: Clearlooks
Icon Theme: Fedora

Memory status: size: 51933184 vsize: 51933184 resident: 28499968 share: 19558400
rss: 28499968 rss_rlim: 4294967295
CPU usage: start_time: 1180405174 rtime: 220 utime: 213 stime: 7 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/sol'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208416544 (LWP 5254)]
0x005ca402 in __kernel_vsyscall ()
#0  0x005ca402 in __kernel_vsyscall ()
#1  0x008b4c33 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x059f8a46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x0031d34c in gtk_radio_action_set_group ()
   from /usr/lib/libgtk-x11-2.0.so.0
#5  0x0805726a in install_options_menu () at menu.c:601
#6  0x080518f9 in new_game (file=0x912a3f8 "spider.scm", seedp=0x0)
    at sol.c:277
#7  0x08053229 in select_game (app=0x9064000, response=-5, data=0x0)
    at dialog.c:124
#8  0x00d68443 in g_cclosure_marshal_VOID () from /lib/libgobject-2.0.so.0
#9  0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#10 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
#11 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#12 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#13 0x0024285a in gtk_dialog_response () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x002428b5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#16 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#17 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
#18 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#19 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#20 0x001eb697 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x001ed80e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#23 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#24 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#25 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#26 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#27 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#28 0x001eb727 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x001eb7a2 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x002dc082 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#32 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#33 0x00d6bf53 in ?? () from /lib/libgobject-2.0.so.0
#34 0x00d6cc26 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#35 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#36 0x00412198 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#37 0x002d407e in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x002d5485 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x0061121a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#40 0x00b4ff9c in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#41 0x00b5335f in ?? () from /lib/libglib-2.0.so.0
#42 0x00b53709 in g_main_loop_run () from /lib/libglib-2.0.so.0
#43 0x002426e2 in gtk_dialog_run () from /usr/lib/libgtk-x11-2.0.so.0
#44 0x08052c14 in show_select_game_dialog () at dialog.c:258
#45 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#46 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#47 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
#48 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#49 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#50 0x001d8135 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#51 0x001d8fe1 in gtk_action_activate () from /usr/lib/libgtk-x11-2.0.so.0
#52 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#53 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#54 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
#55 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#56 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#57 0x003c32d7 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#58 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#59 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#60 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
#61 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#62 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#63 0x001eb697 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#64 0x001ed80e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#65 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#66 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#67 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#68 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#69 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#70 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#71 0x001eb727 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#72 0x001eb7a2 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#73 0x002dc082 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#74 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#75 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#76 0x00d6bf53 in ?? () from /lib/libgobject-2.0.so.0
#77 0x00d6cc26 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#78 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#79 0x00412198 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#80 0x002d407e in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#81 0x002d5485 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#82 0x0061121a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#83 0x00b4ff9c in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#84 0x00b5335f in ?? () from /lib/libglib-2.0.so.0
#85 0x00b53709 in g_main_loop_run () from /lib/libglib-2.0.so.0
#86 0x002d5914 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#87 0x08052164 in main_prog (closure=0x0, argc=1, argv=0xbfecc074)
    at sol.c:588
#88 0x05bfd646 in ?? () from /usr/lib/libguile.so.17
#89 0x05bcf762 in ?? () from /usr/lib/libguile.so.17
#90 0x05c42c46 in scm_c_catch () from /usr/lib/libguile.so.17
#91 0x05bcfcc2 in scm_i_with_continuation_barrier ()
   from /usr/lib/libguile.so.17
#92 0x05bcfda3 in scm_c_with_continuation_barrier ()
   from /usr/lib/libguile.so.17
#93 0x05c41d29 in scm_i_with_guile_and_parent () from /usr/lib/libguile.so.17
#94 0x05c41e1e in scm_with_guile () from /usr/lib/libguile.so.17
#95 0x05bfd5df in scm_boot_guile () from /usr/lib/libguile.so.17
#96 0x08050eb7 in main (argc=1, argv=0xbfecc074) at sol.c:664

Thread 1 (Thread -1208416544 (LWP 5254)):
#0  0x005ca402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x008b4c33 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x059f8a46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0031d34c in gtk_radio_action_set_group ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#5  0x0805726a in install_options_menu () at menu.c:601
	entry = <value optimized out>
	entryname = <value optimized out>
	itemaction = (GtkToggleAction *) 0x8de01e0
	actionname = "Option2\000Êt\005\b\210\031ì\b\210V\f\t"
	options_list = (SCM) 0xb7c42b80
	l = 5
	i = 2
	mode = 1
	radiogroup = (GSList *) 0x8e8eee0
	merge_id = 4
	options_group = (GtkActionGroup *) 0x90797b0
#6  0x080518f9 in new_game (file=0x912a3f8 "spider.scm", seedp=0x0)
    at sol.c:277
	width = <value optimized out>
	height = <value optimized out>
#7  0x08053229 in select_game (app=0x9064000, response=-5, data=0x0)
    at dialog.c:124
No locals.
#8  0x00d68443 in g_cclosure_marshal_VOID () from /lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#13 0x0024285a in gtk_dialog_response () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x002428b5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#16 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#17 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#18 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#19 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x001eb697 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#21 0x001ed80e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#25 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#26 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#27 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#28 0x001eb727 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0x001eb7a2 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#30 0x002dc082 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#31 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#32 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#33 0x00d6bf53 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#34 0x00d6cc26 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#35 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#36 0x00412198 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#37 0x002d407e in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#38 0x002d5485 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#39 0x0061121a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#40 0x00b4ff9c in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#41 0x00b5335f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#42 0x00b53709 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#43 0x002426e2 in gtk_dialog_run () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#44 0x08052c14 in show_select_game_dialog () at dialog.c:258
	scrolled_window = (GtkWidget *) 0x8052bb0
	column = <value optimized out>
	renderer = <value optimized out>
	iter = {stamp = 1210260583, user_data = 0x8e3fe20, user_data2 = 0x0, 
  user_data3 = 0x0}
	path = (GtkTreePath *) 0x900aa48
	files = <value optimized out>
	dialog = (GtkWidget *) 0x9064000
	list = (GtkListStore *) 0x9159200
	list_view = (GtkWidget *) 0x9043018
	select = (GtkTreeSelection *) 0x9166ce0
#45 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#46 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#47 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#48 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#49 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#50 0x001d8135 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#51 0x001d8fe1 in gtk_action_activate () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#52 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#53 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#54 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#55 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#56 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#57 0x003c32d7 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#58 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#59 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#60 0x00d6b90d in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#61 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#62 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#63 0x001eb697 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#64 0x001ed80e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#65 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#66 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#67 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#68 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#69 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#70 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#71 0x001eb727 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#72 0x001eb7a2 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#73 0x002dc082 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#74 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#75 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#76 0x00d6bf53 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#77 0x00d6cc26 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#78 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#79 0x00412198 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#80 0x002d407e in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#81 0x002d5485 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#82 0x0061121a in ?? () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#83 0x00b4ff9c in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#84 0x00b5335f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#85 0x00b53709 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#86 0x002d5914 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#87 0x08052164 in main_prog (closure=0x0, argc=1, argv=0xbfecc074)
    at sol.c:588
	score_label = <value optimized out>
	time_label = <value optimized out>
	time_box = (GtkWidget *) 0x8ec8158
#88 0x05bfd646 in ?? () from /usr/lib/libguile.so.17
No symbol table info available.
#89 0x05bcf762 in ?? () from /usr/lib/libguile.so.17
No symbol table info available.
#90 0x05c42c46 in scm_c_catch () from /usr/lib/libguile.so.17
No symbol table info available.
#91 0x05bcfcc2 in scm_i_with_continuation_barrier ()
   from /usr/lib/libguile.so.17
No symbol table info available.
#92 0x05bcfda3 in scm_c_with_continuation_barrier ()
   from /usr/lib/libguile.so.17
No symbol table info available.
#93 0x05c41d29 in scm_i_with_guile_and_parent () from /usr/lib/libguile.so.17
No symbol table info available.
#94 0x05c41e1e in scm_with_guile () from /usr/lib/libguile.so.17
No symbol table info available.
#95 0x05bfd5df in scm_boot_guile () from /usr/lib/libguile.so.17
No symbol table info available.
#96 0x08050eb7 in main (argc=1, argv=0xbfecc074) at sol.c:664
	var_file = (gchar *) 0x8db5578 ""
	option_context = <value optimized out>
	program = (GnomeProgram *) 0x8db4810
	aisleriot_opts = {{long_name = 0x805cbdd "variation", 
    short_name = 118 'v', flags = 0, arg = G_OPTION_ARG_STRING, 
    arg_data = 0x80629c8, description = 0x805cbe7 "Select the game to play", 
    arg_description = 0x805cbff "NAME"}, {long_name = 0x0, 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, 
    description = 0x0, arg_description = 0x0}}
#0  0x005ca402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors ---------------------
** (gnome-terminal:4895): WARNING **: failure: no device event controller found.
** (gnome-terminal:4895): WARNING **: failure: no device event controller found.
GTK Accessibility Module initialized
Bonobo accessibility support initialized
(sol:5254): Gtk-WARNING **: Refusing to add non-unique action 'Option1' to
action group 'MenuActions'
GTK Accessibility Module initialized
Bonobo accessibility support initialized
GTK Accessibility Module initialized
Bonobo accessibility support initialized
--------------------------------------------------


--
Upstreaming....
Comment 1 Hans de Goede 2007-07-18 16:08:14 EDT
*** Bug 241631 has been marked as a duplicate of this bug. ***
Comment 2 Hans de Goede 2007-07-18 16:29:39 EDT
Upstreaming has worked, its fixed now, see:
http://bugzilla.gnome.org/show_bug.cgi?id=441990

This fix has made its way into the current rawhide through the 2.19.4 release,
closing with a resolution of rawhide.

Upstream is talking about including the fix in the upcoming 2.18.3 release. This
is a pretty nasty crasher, so Ray let me know if you want me to prepare an F-7
update with this fixed.
Comment 3 Ray Strode [halfline] 2007-07-23 13:43:55 EDT
If you want to, feel free!
Comment 4 Hans de Goede 2007-07-23 15:56:49 EDT
(In reply to comment #3)
> If you want to, feel free!

I wonder is fixing a single bug (a nasty crash, but still a bug) worth releasing
an update for a not so small package that _everyone_ has installed by default?

I'm kinda new to this, for my normal packages I would always do an update to fix
such a bug, but those are only installed on machines when people have done so
explictely.

Note You need to log in before you can comment on or make changes to this bug.